tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 > Class Template Reference

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >:
Collaboration diagram for tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >:

## Public Types

typedef tuple< T0, T1, T2, T3, T4 > | InputTuple
typedef internal::tagged_msg< size_t, T0, T1, T2, T3, T4 > | output_type
typedef internal::unfolded_indexer_node< InputTuple > | unfolded_type
Public Types inherited from internal::unfolded_indexer_node< tuple< T0, T1, T2, T3, T4 > >
typedef indexer_types< tuple< T0, T1, T2, T3, T4 > >::input_ports_type | input_ports_type
typedef tuple< T0, T1, T2, T3, T4 > | tuple_types
typedef indexer_types< tuple< T0, T1, T2, T3, T4 > >::output_type | output_type
Public Types inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
typedef OutputType | output_type
typedef StructTypes | tuple_types
typedef sender< output_type >::successor_type | successor_type
typedef indexer_node_FE< InputTuple, output_type, StructTypes > | input_ports_type
Public Types inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
typedef OutputType | output_type
typedef InputTuple | input_type

## Public Member Functions

__TBB_NOINLINE_SYM | indexer_node (graph &g)
__TBB_NOINLINE_SYM | indexer_node (const indexer_node &other)
Public Member Functions inherited from internal::unfolded_indexer_node< tuple< T0, T1, T2, T3, T4 > >
| unfolded_indexer_node (graph &g)
| unfolded_indexer_node (const unfolded_indexer_node &other)
Public Member Functions inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
| indexer_node_base (graph &g)
| indexer_node_base (const indexer_node_base &other)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
task * | try_put_task (output_type const *v)
Public Member Functions inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
| indexer_node_FE ()
input_type & | input_ports ()

## Static Private Attributes

static const int | N = 5

## Additional Inherited Members

Static Public Attributes inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
static const size_t | N = tbb::flow::tuple_size<InputTuple>::value
Static Public Attributes inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
static const int | N = tbb::flow::tuple_size<InputTuple>::value
Protected Member Functions inherited from internal::indexer_node_base< InputTuple, OutputType, StructTypes >
void | reset_node (reset_flags f) __TBB_override
Protected Attributes inherited from internal::indexer_node_FE< InputTuple, OutputType, StructTypes >
input_type | my_inputs

## Detailed Description

### template<typename T0, typename T1, typename T2, typename T3, typename T4>
class tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >

Definition at line 3611 of file flow_graph.h.

## Member Typedef Documentation

## InputTuple

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

typedef tuple<T0, T1, T2, T3, T4> tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::InputTuple

Definition at line 3615 of file flow_graph.h.

## output_type

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

typedef internal::tagged_msg<size_t, T0, T1, T2, T3, T4> tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::output_type

Definition at line 3616 of file flow_graph.h.

## unfolded_type

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

typedef internal::unfolded_indexer_node<InputTuple> tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::unfolded_type

Definition at line 3617 of file flow_graph.h.

## Constructor & Destructor Documentation

## indexer_node() [1/2]

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

__TBB_NOINLINE_SYM tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::indexer_node | ( | graph & | g | ) |

inline

Definition at line 3618 of file flow_graph.h.

: unfolded_type(g) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_INDEXER_NODE, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}
CODEPTR
#define CODEPTR()
Definition: _flow_graph_trace_impl.h:297
tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::unfolded_type
internal::unfolded_indexer_node< InputTuple > unfolded_type
Definition: flow_graph.h:3617
internal::indexer_node_FE::input_ports
input_type & input_ports()
Definition: _flow_graph_indexer_impl.h:162

References CODEPTR, and internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::input_ports().

Here is the call graph for this function:

## indexer_node() [2/2]

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

__TBB_NOINLINE_SYM tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::indexer_node | ( | const indexer_node< T0, T1, T2, T3, T4 > & | other | ) |

inline

Definition at line 3631 of file flow_graph.h.

: unfolded_type(other) {
tbb::internal::fgt_multiinput_node<N>( CODEPTR(), tbb::internal::FLOW_INDEXER_NODE, &this->my_graph,
this->input_ports(), static_cast< sender< output_type > *>(this) );
}

References CODEPTR, and internal::indexer_node_FE< InputTuple, OutputType, StructTypes >::input_ports().

Here is the call graph for this function:

## Member Data Documentation

## N

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

const int tbb::flow::interface11::indexer_node< T0, T1, T2, T3, T4 >::N = 5

static private

Definition at line 3613 of file flow_graph.h.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.